Skip to main content
GET
/
storefronts
/
credentials
List credentials
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/storefronts/credentials \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "accountIdentifier": "<string>",
    "status": "<string>",
    "registeredBy": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "oauth": {
      "authorizationUrl": "<string>",
      "agentId": "<string>",
      "agentName": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

API key or access token

Response

List credentials

id
string
required

Account ID

accountIdentifier
string
required

Unique account identifier

status
string
required

Account status

registeredBy
string
required

Who registered this account

createdAt
string<date-time>
required

When the account was created (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
oauth
object

Present when OAUTH flow is needed